glib-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object GLib.IWrapper System.IDisposable To be added To be added
- Constructor
  2.12.0.0
  Creates a new instance.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  GLib.Opaque `` Native opaque structure pointer to copy. Copies an existing opaque type. A copied reference, or the original if the type doesn't support copying.
- Method
  2.12.0.0
  System.Void Disposes the raw object.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Void `` The raw pointer. Overridden in generated subclasses to free the raw data.
- Method
  2.12.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Obsolete("Use more explicit overload. This method always returns null")
  GLib.Opaque `` an object of type Used to obtain a CLI typed object associated with a given raw object pointer. an object of type This method is primarily used to wrap object references that are returned by either the signal system or raw class methods that return opaque struct references.
- Method
  2.12.0.0
  GLib.Opaque `` `` `` a a a Used to obtain a CLI typed object associated with a given raw pointer. a This method is primarily used to wrap object references that are returned by either the signal system or raw class methods that return opaque type pointers.
- Property
  2.12.0.0
  System.IntPtr The raw Opaque reference associated with this object. an object of type Subclasses can use Raw property for read/write access.
- Property
  2.12.0.0
  System.Boolean Whether or not this wrapper owns the raw object. if the wrapper owns the raw object and will / it when the wrapper is disposed. By default, this is set to for opaque objects created with the no-argument constructor, and for opaque objects created with the constructor. Methods that return an opaque object can override this by setting the property accordingly to obey the memory-management conventions of the underlying C code.
- Property
  2.12.0.0
  System.IntPtr To be added. To be added. To be added.
- Property
  2.12.0.0
  System.IntPtr The raw Opaque reference associated with this wrapper. an object of type Only subclasses of Opaque can access this read/write property.
- Method
  2.12.0.0
  System.Void `` The raw pointer. Overridden in generated subclasses that perform refcounting.
- Method
  2.12.0.0
  System.Void `` The raw pointer. Overridden in generated subclasses that perform refcounting.